#include <unistd.h>
#include <stdio.h>
#include <math.h>


#define SIZE_DATASET 1024
#define PI 3.14159

void sinewave(float *data, float *result, int size);

float data1[SIZE_DATASET];
float data2[SIZE_DATASET];
float results1[SIZE_DATASET];
float results2[SIZE_DATASET];
unsigned int count = 0;

int main(void)
{
	int howlongtosleep = 1;

	printf("Value of PI is: %f\n", PI);
	for (count = 0; count < SIZE_DATASET; count++)
	{
		results1[count] = 0;
		results2[count] = 0;
	}
	for (count = 0; count < SIZE_DATASET; count++)
	{
		data1[count] = 4 * PI * ((float)count / 1024);
		data2[count] = 6 * PI * ((float)count / 1024);
	} 
	sinewave(data1, results1, SIZE_DATASET);
	sinewave(data2, results2, SIZE_DATASET);

	sleep(howlongtosleep);

	fflush(stdout);
	return 0;
}


void sinewave(float *data, float *result, int size)
{
	int count;
	for (count = 0; count < size; count ++)
	{
		result[count] = sin(data[count]);
	}
}
